org.codehaus.plexus.util.cli

## Class Commandline.Marker

- java.lang.Object
- - org.codehaus.plexus.util.cli.Commandline.Marker

- Enclosing class:
    Commandline

      public class Commandline.Marker
      extends java.lang.Object

  Class to keep track of the position of an Argument.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getPosition()` Return the number of arguments that preceeded this marker.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getPosition

          public int getPosition()

      Return the number of arguments that preceeded this marker.

      The name of the executable - if set - is counted as the very first argument.